# norootforbuild

%define soname  4

Name:           xvidcore
Version:        1.2.2
Release:        16.5
Summary:        Xvid is a high quality MPEG-4 ASP video codec
Summary(de):    Xvid ist ein hochqualitativer MPEG-4 ASP Videocodec
License:        GNU General Public License (GPL)
Group:          Development/Libraries
URL:            http://www.xvid.org/

Source0:        xvidcore-1.2.2.tar.bz2

Requires:       lib%{name}%{soname} = %{version}-%{release}
Obsoletes:      xvid
Provides:       xvid = %{version}-%{release}
BuildRequires:  gcc-c++ make pkgconfig yasm
BuildRoot:      %{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
Xvid is a high quality MPEG-4 ASP video codec.
Xvid encoded MPEG-4 videos can be played back by other MPEG-4 implementations
decoders such as DivX, FFmpeg MPEG-4 or standalone DVD players capable of
MPEG-4 playback.

%description -l de
Xvid ist ein hochqualitativer MPEG-4 ASP Videocodec.
Xvid encodete MPEG-4 Videos können von anderen MPEG-4 Decodern wie DivX,
FFmpeg MPEG-4 oder separaten DVD-Playern mit MPEG-4 Implementierungen
wieder gegeben werden.

%package -n lib%{name}-devel
Summary:        Development files of XviD video codec
Summary(de):    Entwicklerdateien des XviD Video-Codecs
Group:          Development/Libraries
Requires:       lib%{name}%{soname} = %{version}-%{release}
Obsoletes:      xvid-devel
Provides:       xvid-devel = %{version}-%{release}

%description -n lib%{name}-devel
Development files of XviD video codec.

%description -n lib%{name}-devel -l de
Entwicklerdateien des XviD Video-Codecs.

%package -n lib%{name}%{soname}
Summary:        Shared library libxvidcore
Summary(de):    Bibliothek libxvidcore
Group:          System/Libraries

%description -n lib%{name}%{soname}
Shared library of XviD video codec.

%description -n lib%{name}%{soname} -l de
Bibliothek des XviD Video Codecs.

%debug_package


%prep
%setup -q -n "%{name}"

%build
pushd build/generic
%configure
%__make %{?jobs:-j%{jobs}}
popd #build/generic

%install
%__install -d "%{buildroot}%{_libdir}"
%__install -d "%{buildroot}%{_includedir}"

pushd 'build/generic/=build'
%__install *.so* *.a "%{buildroot}%{_libdir}/"
popd #'build/generic/=build'

pushd src
%__install xvid.h "%{buildroot}%{_includedir}/"
popd #src

pushd "%{buildroot}%{_libdir}"
%__ln_s libxvidcore.so.%{soname}.* libxvidcore.so.%{soname}
%__ln_s libxvidcore.so.%{soname} libxvidcore.so
popd #libdir

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%post   -n lib%{name}%{soname} -p /sbin/ldconfig
%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README TODO

%files -n lib%{name}-devel
%defattr(644,root,root,755)
%doc CodingStyle doc examples
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a

%files -n lib%{name}%{soname}
%defattr(644,root,root,755)
%{_libdir}/libxvidcore.so.%{soname}
%{_libdir}/libxvidcore.so.%{soname}.*

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
